System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

The indicates the type of refresh mode to use when refreshing a control.

Indicates that the property grid should refresh when the associated property value changes. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The class is used for refreshing the design-time view.

  Initializes a new instance of the class.

  A value indicating the nature of the refresh.
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RefreshPropertiesAttribute

  Specify this attribute on a property to query again and refresh all properties in the when the property value changes. The caches data. The mode causes the Properties window to query each property again and refresh its view.

  Indicates that all properties are queried again and refreshed if the property value is changed. This field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RefreshPropertiesAttribute

  Specify this attribute on a property to refresh only the associated property when the property value is changed.

  Indicates that no other properties are refreshed if the property value is changed. This field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added: an object of type 'object' To be added

  Overrides the object's method.

  true if the specified object is the same; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this object.

  The hash code for the object that the attribute belongs to.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Gets a value indicating whether the current value of the attribute is the default value for the attribute.

  true if the current value of the attribute is the default; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RefreshProperties To be added: an object of type 'RefreshProperties' To be added

  Gets the refresh properties for the member.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.RefreshPropertiesAttribute

  Specify this attribute on a property to repaint all properties in the when the property value changes.

  Indicates that all properties are repainted if the property value is changed. This field is read-only.